Catalog Webhooks
Update Webhook
Update a webhook subscription
PATCH
/
catalog
/
webhooks
/
{id}
const updated = await lasso.catalog.webhooks.update('wh_abc123...', {
events: ['product.created', 'product.updated', 'product.deleted'],
enabled: false,
});
updated = client.catalog.webhooks.update(
"wh_abc123...",
events=["product.created", "product.updated", "product.deleted"],
enabled=False,
)
curl -X PATCH "https://hub.banditshq.com/api/v1/catalog/webhooks/wh_abc123..." \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{"enabled": false}'
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated", "product.deleted"],
"enabled": false,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-27T10:30:00Z"
}
Update an existing webhook subscription’s URL, events, or enabled status.
string
required
The webhook subscription ID.
string
Updated endpoint URL.
array
Updated list of events. Valid values:
product.created, product.updated, product.deleted.boolean
Enable or disable the webhook without deleting it.
string
Updated description.
const updated = await lasso.catalog.webhooks.update('wh_abc123...', {
events: ['product.created', 'product.updated', 'product.deleted'],
enabled: false,
});
updated = client.catalog.webhooks.update(
"wh_abc123...",
events=["product.created", "product.updated", "product.deleted"],
enabled=False,
)
curl -X PATCH "https://hub.banditshq.com/api/v1/catalog/webhooks/wh_abc123..." \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{"enabled": false}'
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated", "product.deleted"],
"enabled": false,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-27T10:30:00Z"
}
⌘I
const updated = await lasso.catalog.webhooks.update('wh_abc123...', {
events: ['product.created', 'product.updated', 'product.deleted'],
enabled: false,
});
updated = client.catalog.webhooks.update(
"wh_abc123...",
events=["product.created", "product.updated", "product.deleted"],
enabled=False,
)
curl -X PATCH "https://hub.banditshq.com/api/v1/catalog/webhooks/wh_abc123..." \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{"enabled": false}'
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated", "product.deleted"],
"enabled": false,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-27T10:30:00Z"
}

